import 'package:flutter/material.dart';

class GoodsShareMiniprogramWidget extends StatelessWidget {
  final String title;
  final String imgGoods;
  final String icon;
  final String name;

  const GoodsShareMiniprogramWidget(
      {Key key, this.title, this.imgGoods, this.icon, this.name})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        margin: EdgeInsets.only(left: 10, right: 10),
        padding: EdgeInsets.only(left: 16, top: 10, right: 16, bottom: 10),
        decoration: BoxDecoration(
            color: Color(0xfff8f8f8), borderRadius: BorderRadius.circular(10)),
        width: double.infinity,
        child: Column(
          children: <Widget>[
            Row(
              children: <Widget>[
                Container(
                  margin: EdgeInsets.only(right: 6),
                  width: 15,
                  height: 15,
                  color: Colors.redAccent,
                ),
                Text(
                  name,
                  style: TextStyle(fontSize: 11, color: Color(0xff999999)),
                )
              ],
            ),
            Text(
              title ?? '',
              maxLines: 2,
              style: TextStyle(
                color: Color(0xff333333),
                fontWeight: FontWeight.bold,
                fontSize: 11,
              ),
            ),
            Container(
              margin: EdgeInsets.only(top: 10, bottom: 10),
              width: double.infinity,
              height: 180,
              color: Colors.redAccent,
            ),
            Row(
              children: <Widget>[
                Container(
                  margin: EdgeInsets.only(right: 6),
                  width: 15,
                  height: 15,
                  color: Colors.redAccent,
                ),
                Text(
                  '小程序',
                  style: TextStyle(fontSize: 11, color: Color(0xff333333)),
                )
              ],
            ),
          ],
        ));
  }
}
